import request from '@/utils/request'

// 查询物资类型--分页
export function listType(query) {
    return request({
        url: '/iscs/type/getIsMaterialsTypePage',
        method: 'get',
        params: query
    })
}

// 新增物资类型信息 /dev-api/iscs/type/insertIsMaterialsType
export function addMaterialsType(data) {
    return request({
        url: '/iscs/type/insertIsMaterialsType',
        method: 'post',
        data: data
    })
}

// 修改物资类型信息 /dev-api/iscs/type/updateIsMaterialsType
export function updateMaterialsType(data) {
    return request({
        url: '/iscs/type/updateIsMaterialsType',
        method: 'post',
        data: data
    })
}

// 删除物资类型信息 /dev-api/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds
export function deleteMaterialsType(data) {
    return request({
        url: '/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds?materialsTypeIds=' + data,
        method: 'post',
    })
}

// 获取物资类型详细信息/dev-api/iscs/type/selectIsMaterialsTypeById
export function selectMaterialsTypeById(query) {
    return request({
        url: '/iscs/type/selectIsMaterialsTypeById?materialsTypeId=' + query,
        method: 'get',
    })
}
